## org.apache.batik.dom
Class AbstractDocument.XPathExpr

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.XPathExpr

All Implemented Interfaces:
  org.w3c.dom.xpath.XPathExpression

Enclosing class:
  AbstractDocument

    protected class AbstractDocument.XPathExpr

extends java.lang.Object
implements org.w3c.dom.xpath.XPathExpression

A compiled XPath expression.

Nested Class Summary
`protected class` `AbstractDocument.XPathExpr.NSPrefixResolver` Xalan prefix resolver.
`class` `AbstractDocument.XPathExpr.Result` XPathResult implementation.

Field Summary
`protected org.apache.xpath.XPathContext` `context` The XPathContext object.
`protected AbstractDocument.XPathExpr.NSPrefixResolver` `prefixResolver` The Xalan prefix resolver.
`protected org.w3c.dom.xpath.XPathNSResolver` `resolver` The namespace resolver.
`protected org.apache.xpath.XPath` `xpath` The compiled XPath expression.

Constructor Summary
`AbstractDocument.XPathExpr(java.lang.String expr, org.w3c.dom.xpath.XPathNSResolver res)` Creates a new XPathExpr object.

Method Summary
`protected AbstractDocument.XPathExpr.Result` `convertBoolean(org.apache.xpath.objects.XObject xo)` Converts an XObject to a boolean XPathResult.
`protected AbstractDocument.XPathExpr.Result` `convertNodeIterator(org.apache.xpath.objects.XObject xo, short type)` Converts an XObject to a node iterator XPathResult.
`protected AbstractDocument.XPathExpr.Result` `convertNumber(org.apache.xpath.objects.XObject xo)` Converts an XObject to a number XPathResult.
`protected AbstractDocument.XPathExpr.Result` `convertSingleNode(org.apache.xpath.objects.XObject xo, short type)` Converts an XObject to a single node XPathResult.
`protected AbstractDocument.XPathExpr.Result` `convertString(org.apache.xpath.objects.XObject xo)` Converts an XObject to a string XPathResult.
`java.lang.Object` `evaluate(org.w3c.dom.Node contextNode, short type, java.lang.Object res)` DOM: Implements `XPathExpression.evaluate(Node,short,Object)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xpath

    protected org.apache.xpath.XPath xpath

  The compiled XPath expression.

### resolver

    protected org.w3c.dom.xpath.XPathNSResolver resolver

  The namespace resolver.

### prefixResolver

    protected AbstractDocument.XPathExpr.NSPrefixResolver prefixResolver

  The Xalan prefix resolver.

### context

    protected org.apache.xpath.XPathContext context

  The XPathContext object.

Constructor Detail

### AbstractDocument.XPathExpr

    public AbstractDocument.XPathExpr(java.lang.String expr,
                                      org.w3c.dom.xpath.XPathNSResolver res)
                               throws org.w3c.dom.DOMException,
                                      org.w3c.dom.xpath.XPathException

  Creates a new XPathExpr object.

  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.xpath.XPathException`

Method Detail

### evaluate

    public java.lang.Object evaluate(org.w3c.dom.Node contextNode,
                                     short type,
                                     java.lang.Object res)
                              throws org.w3c.dom.xpath.XPathException,
                                     org.w3c.dom.DOMException

  DOM: Implements `XPathExpression.evaluate(Node,short,Object)`.

  Specified by:
    `evaluate` in interface `org.w3c.dom.xpath.XPathExpression`
  Throws:
    `org.w3c.dom.xpath.XPathException`
    `org.w3c.dom.DOMException`

### convertSingleNode

    protected AbstractDocument.XPathExpr.Result convertSingleNode(org.apache.xpath.objects.XObject xo,
                                                                  short type)
                                                           throws javax.xml.transform.TransformerException

  Converts an XObject to a single node XPathResult.

  Throws:
    `javax.xml.transform.TransformerException`

### convertBoolean

    protected AbstractDocument.XPathExpr.Result convertBoolean(org.apache.xpath.objects.XObject xo)
                                                        throws javax.xml.transform.TransformerException

  Converts an XObject to a boolean XPathResult.

  Throws:
    `javax.xml.transform.TransformerException`

### convertNumber

    protected AbstractDocument.XPathExpr.Result convertNumber(org.apache.xpath.objects.XObject xo)
                                                       throws javax.xml.transform.TransformerException

  Converts an XObject to a number XPathResult.

  Throws:
    `javax.xml.transform.TransformerException`

### convertString

    protected AbstractDocument.XPathExpr.Result convertString(org.apache.xpath.objects.XObject xo)

  Converts an XObject to a string XPathResult.

### convertNodeIterator

    protected AbstractDocument.XPathExpr.Result convertNodeIterator(org.apache.xpath.objects.XObject xo,
                                                                    short type)
                                                             throws javax.xml.transform.TransformerException

  Converts an XObject to a node iterator XPathResult.

  Throws:
    `javax.xml.transform.TransformerException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.